.container {
  min-height: 100vh;
  padding: 0 0.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}


.loadingContainer{
  position: absolute;
  display: block;
  margin-top: 25px;
}

.loadingContainer img{
  opacity: 0.1;

}

.main {
  width: 70%;
  padding: 5rem 0;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer {
  width: 100%;
  height: 100px;
  border-top: 1px solid #eaeaea;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer a {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}

.title a {
  color: #0070f3;
  text-decoration: none;
}

.title a:hover,
.title a:focus,
.title a:active {
  text-decoration: underline;
}

.title {
  margin: 0;
  line-height: 1.15;
  font-size: 4rem;
}

.title,
.description {
  text-align: center;
}

.description {
  line-height: 1.5;
  font-size: 1.5rem;
}

.code {
  background: #fafafa;
  border-radius: 5px;
  padding: 0.75rem;
  font-size: 1.1rem;
  font-family: Menlo, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono,
    Bitstream Vera Sans Mono, Courier New, monospace;
}

.grid {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 800px;
  margin-top: 3rem;
}

.card {
  margin: 1rem;
  padding: 1.5rem;
  text-align: left;
  color: inherit;
  text-decoration: none;
  border: 1px solid #eaeaea;
  border-radius: 10px;
  transition: color 0.15s ease, border-color 0.15s ease;
  width: 45%;
}

.card:hover,
.card:focus,
.card:active {
  color: #0070f3;
  border-color: #0070f3;
}

.card h2 {
  margin: 0 0 1rem 0;
  font-size: 1.5rem;
}

.card p {
  margin: 0;
  font-size: 1.25rem;
  line-height: 1.5;
}

.logo {
  height: 1em;
  margin-left: 0.5rem;
}

.fixedBg{
  width: 100%;
  position: fixed;
  background: url('../public/background.jpeg');
  background-size: 100% ;
  left: 0;
  top: 0;
  height: 100%;
  z-index: -1;
}

.mainTitle{
  font-size: 78px;
  letter-spacing: 4px;
  color: black;
  font-family: 'Barlow', sans-serif;
  font-weight: bold;
  -webkit-text-fill-color: transparent; /* Will override color (regardless of order) */
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: white;
}

.searchInput{
  background-size: 100%;
  background:url('https://cdn.pixabay.com/photo/2012/04/12/13/21/film-30008_960_720.png') no-repeat left top;
  width: 100%;
  font-size: 32px;
  font-family: 'Barlow', sans-serif;
  height: 45px;
  border-bottom: 1px solid white;
  margin-top: 35px;
  color: lightgray;
  text-align: center;
  font-weight: lighter;
  opacity: 1; /* Firefox */
}

.searchInput:focus{
  outline: none;
}

.searchInput::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: white;
  font-size: 32px;
  font-family: 'Barlow',sans-serif;
  letter-spacing: 8px;
  font-weight: lighter;
  opacity: 1; /* Firefox */
  -webkit-text-fill-color: transparent; /* Will override color (regardless of order) */
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: white;
}

.searchIcon{
  position: absolute;
  bottom: 13px;
  right: 15px;
  color: white;
}

.listContainer{
  overflow-x: hidden;
  max-height: 355px;
  overflow: scroll;
  margin-top: 15px;
  border-radius: 15px;
  background-color: rgba(0,0,0,.60);
  color: white;
  padding: 45px;
}

.listContainer .listItem{
  margin-bottom: 15px;
}

.listContainer img{
  border-radius: 5px;
}

.languagePickerContainer{
  position: fixed;
  z-index: 9;
  top: 15px;
  right: 15px;
}

.listContainer p{
  font-family: 'Barlow', sans-serif;
  font-weight: lighter;
  line-height:27px;
  letter-spacing: 3px;
  color: white;
  font-size: 24px;
}


@media (max-width: 600px) {
  .grid {
    width: 100%;
    flex-direction: column;
  }

  .fixedBg{
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: bottom;
  }

  .mainTitle{
    font-size: 40px;
    font-weight: lighter;
  }

  .searchInput::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: white;
    font-size: 20px;
    font-family: 'Barlow',sans-serif;
    letter-spacing: 3px;
    text-align: left;
    font-weight: lighter;
    opacity: 1; /* Firefox */
    -webkit-text-fill-color: transparent; /* Will override color (regardless of order) */
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: white;
  }

  .searchInput { /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 20px;
    text-align: left;
    color: white;
  }

  .listContainer{
    padding: 15px;
    border-bottom: 1px solid white;
  }



  .listContainer p{
    font-size: 14px;

  }


}
